package com.fp.armas.portal.model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


/**
 * The persistent class for the TCUSTPEOPLE database table.
 * 
 */
@Entity
public class Tcustpeople implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TcustpeoplePK id;

	private String birthcantoncode;

	private String birthcitycode;

	private String birthcountrycode;

	@Temporal(TemporalType.DATE)
	private Date birthdate;

	private String birthparroquiacode;

	private String birthprovincecode;

	private Long codigosib;

	private Timestamp datefrom;

	private String educationlevelcatalog;

	private String educationlevelcatalogcode;

	private String firstname;

	private String gender;

	private String ingressusercode;

	private String lastname;

	private String maritalname;

	private String maritalstatuscatalog;

	private String maritalstatuscatalogcode;

	private String middlename;

	private String modifyusercode;

	private String nacionality;

	private String notactivitycatalog;

	private String notactivitycatalogcode;

	private Long photocode;

	private String professioncatalog;

	private String professioncatalogcode;

	private Long recordversion;

	private Long signaturecode;

	private String surename;
	
	private Double height;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="PERSONCODE", updatable=false, insertable=false)
	private Tcustperson tcustperson;

	public Tcustpeople() {
	}

	public TcustpeoplePK getId() {
		return this.id;
	}

	public void setId(TcustpeoplePK id) {
		this.id = id;
	}

	public String getBirthcantoncode() {
		return this.birthcantoncode;
	}

	public void setBirthcantoncode(String birthcantoncode) {
		this.birthcantoncode = birthcantoncode;
	}

	public String getBirthcitycode() {
		return this.birthcitycode;
	}

	public void setBirthcitycode(String birthcitycode) {
		this.birthcitycode = birthcitycode;
	}

	public String getBirthcountrycode() {
		return this.birthcountrycode;
	}

	public void setBirthcountrycode(String birthcountrycode) {
		this.birthcountrycode = birthcountrycode;
	}

	public Date getBirthdate() {
		return this.birthdate;
	}

	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}

	public String getBirthparroquiacode() {
		return this.birthparroquiacode;
	}

	public void setBirthparroquiacode(String birthparroquiacode) {
		this.birthparroquiacode = birthparroquiacode;
	}

	public String getBirthprovincecode() {
		return this.birthprovincecode;
	}

	public void setBirthprovincecode(String birthprovincecode) {
		this.birthprovincecode = birthprovincecode;
	}

	public Long getCodigosib() {
		return this.codigosib;
	}

	public void setCodigosib(Long codigosib) {
		this.codigosib = codigosib;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public String getEducationlevelcatalog() {
		return this.educationlevelcatalog;
	}

	public void setEducationlevelcatalog(String educationlevelcatalog) {
		this.educationlevelcatalog = educationlevelcatalog;
	}

	public String getEducationlevelcatalogcode() {
		return this.educationlevelcatalogcode;
	}

	public void setEducationlevelcatalogcode(String educationlevelcatalogcode) {
		this.educationlevelcatalogcode = educationlevelcatalogcode;
	}

	public String getFirstname() {
		return this.firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public String getGender() {
		return this.gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getIngressusercode() {
		return this.ingressusercode;
	}

	public void setIngressusercode(String ingressusercode) {
		this.ingressusercode = ingressusercode;
	}

	public String getLastname() {
		return this.lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public String getMaritalname() {
		return this.maritalname;
	}

	public void setMaritalname(String maritalname) {
		this.maritalname = maritalname;
	}

	public String getMaritalstatuscatalog() {
		return this.maritalstatuscatalog;
	}

	public void setMaritalstatuscatalog(String maritalstatuscatalog) {
		this.maritalstatuscatalog = maritalstatuscatalog;
	}

	public String getMaritalstatuscatalogcode() {
		return this.maritalstatuscatalogcode;
	}

	public void setMaritalstatuscatalogcode(String maritalstatuscatalogcode) {
		this.maritalstatuscatalogcode = maritalstatuscatalogcode;
	}

	public String getMiddlename() {
		return this.middlename;
	}

	public void setMiddlename(String middlename) {
		this.middlename = middlename;
	}

	public String getModifyusercode() {
		return this.modifyusercode;
	}

	public void setModifyusercode(String modifyusercode) {
		this.modifyusercode = modifyusercode;
	}

	public String getNacionality() {
		return this.nacionality;
	}

	public void setNacionality(String nacionality) {
		this.nacionality = nacionality;
	}

	public String getNotactivitycatalog() {
		return this.notactivitycatalog;
	}

	public void setNotactivitycatalog(String notactivitycatalog) {
		this.notactivitycatalog = notactivitycatalog;
	}

	public String getNotactivitycatalogcode() {
		return this.notactivitycatalogcode;
	}

	public void setNotactivitycatalogcode(String notactivitycatalogcode) {
		this.notactivitycatalogcode = notactivitycatalogcode;
	}

	public Long getPhotocode() {
		return this.photocode;
	}

	public void setPhotocode(Long photocode) {
		this.photocode = photocode;
	}

	public String getProfessioncatalog() {
		return this.professioncatalog;
	}

	public void setProfessioncatalog(String professioncatalog) {
		this.professioncatalog = professioncatalog;
	}

	public String getProfessioncatalogcode() {
		return this.professioncatalogcode;
	}

	public void setProfessioncatalogcode(String professioncatalogcode) {
		this.professioncatalogcode = professioncatalogcode;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public Long getSignaturecode() {
		return this.signaturecode;
	}

	public void setSignaturecode(Long signaturecode) {
		this.signaturecode = signaturecode;
	}

	public String getSurename() {
		return this.surename;
	}

	public void setSurename(String surename) {
		this.surename = surename;
	}

	public Tcustperson getTcustperson() {
		return tcustperson;
	}

	public void setTcustperson(Tcustperson tcustperson) {
		this.tcustperson = tcustperson;
	}

	public Double getHeight() {
		return height;
	}

	public void setHeight(Double height) {
		this.height = height;
	}

}